# TODO:
# - find/wait for OMXIL implementation with OMX_VIDEO_CodingVP8 (requires OpenMAX-IL 1.2 or extension?)
#   OMX_VIDEO_CodingTheora (not available in raw OpenMAX-IL 1.1.2 or 1.2)
# - tizonia >= 0.19.0 as an alternative for bellagio?
#
# Conditional build:
%bcond_without	apidocs		# API documentation

%define		gst_ver		1.22.0
Summary:	GStreamer plug-in that allows communication with OpenMAX IL components
Summary(pl.UTF-8):	Wtyczka GStreamera pozwalająca na komunikację z komponentami OpenMAX IL
Name:		gstreamer-openmax
Version:	1.22.6
Release:	1
License:	LGPL v2.1+
Group:		Libraries
Source0:	https://gstreamer.freedesktop.org/src/gst-omx/gst-omx-%{version}.tar.xz
# Source0-md5:	6ad4b9b8cca378d5708ab32bcefbcdf0
URL:		https://gstreamer.freedesktop.org/
BuildRequires:	glib2-devel >= 1:2.62.0
BuildRequires:	gstreamer-devel >= %{gst_ver}
BuildRequires:	gstreamer-gl-devel >= %{gst_ver}
BuildRequires:	gstreamer-plugins-base-devel
%{?with_apidocs:BuildRequires:	hotdoc}
# currently internal headers used (last bellagio release misses some defines)
#BuildRequires:	libomxil-bellagio-devel
BuildRequires:	meson >= 0.62
BuildRequires:	ninja >= 1.5
BuildRequires:	pkgconfig
BuildRequires:	python >= 2.1
BuildRequires:	rpm-build >= 4.6
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
# EGL-devel, OpenGL-GLESv2-devel, xorg-lib-libX11-devel  for examples only
Requires:	glib2 >= 1:2.62.0
Requires:	gstreamer >= %{gst_ver}
Requires:	gstreamer-gl-libs >= %{gst_ver}
Requires:	libomxil-bellagio
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GstOpenMAX is a GStreamer plug-in that allows communication with
OpenMAX IL components.

OpenMAX IL is an industry standard that provides an abstraction layer
for computer graphics, video, and sound routines.

%description -l pl.UTF-8
GstOpenMAX to wtyczka GStreamera pozwalająca na komunikację z
komponentami OpenMAX IL.

OpenMAX IL to standard przemysłowy zapewniający warstwę abstrakcji dla
funkcji grafiki komputerowej, obrazu i dźwięku komp.

%package apidocs
Summary:	GStreamer OpenMAX API documentation
Summary(pl.UTF-8):	Dokumentacja API wtyczki GStreamera OpenMAX
Group:		Documentation
BuildArch:	noarch

%description apidocs
GStreamer OpenMAX API documentation.

%description apidocs -l pl.UTF-8
Dokumentacja API wtyczki GStreamera OpenMAX.

%prep
%setup -q -n gst-omx-%{version}

%build
%meson build \
	--default-library=shared \
	%{!?with_apidocs:-Ddoc=false} \
	-Dtarget=bellagio

%ninja_build -C build

%if %{with apidocs}
cd build/docs
LC_ALL=C.UTF-8 hotdoc run --conf-file omx-doc.json
%endif

%install
rm -rf $RPM_BUILD_ROOT

%ninja_install -C build

%if %{with apidocs}
install -d $RPM_BUILD_ROOT%{_docdir}/gstreamer-%{gstmver}
cp -pr build/docs/omx-doc $RPM_BUILD_ROOT%{_docdir}/gstreamer-%{gstmver}
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README RELEASE
%attr(755,root,root) %{_libdir}/gstreamer-1.0/libgstomx.so
%config(noreplace) %verify(not md5 mtime size) /etc/xdg/gstomx.conf

%if %{with apidocs}
%files apidocs
%defattr(644,root,root,755)
%{_docdir}/gstreamer-%{gstmver}
%endif
%changelog
* Sun Oct 22 2023 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/gstreamer-openmax.git;a=log;h=master

* Sun Oct 22 2023 Jakub Bogusz <qboosh@pld-linux.org> c3cfdc9
- updated to 1.22.6

* Sun Jul 23 2023 Jakub Bogusz <qboosh@pld-linux.org> fe48ced
- updated to 1.22.5

* Sat Apr 15 2023 Jakub Bogusz <qboosh@pld-linux.org> 6a7fdff
- updated to 1.22.2

* Sun Apr 09 2023 Jakub Bogusz <qboosh@pld-linux.org> a1ef55d
- updated to 1.22.1

* Mon Jan 09 2023 Jakub Bogusz <qboosh@pld-linux.org> fd2536d
- updated to 1.20.5

* Fri Jun 24 2022 Jakub Bogusz <qboosh@pld-linux.org> 812a4f1
- updated to 1.20.3

* Tue May 10 2022 Jakub Bogusz <qboosh@pld-linux.org> 80696d7
- updated to 1.20.2

* Sat Apr 16 2022 Jakub Bogusz <qboosh@pld-linux.org> c3998a4
- updated to 1.20.1

* Tue Nov 30 2021 Jan Rękorajski <baggins@pld-linux.org> c4c96c4
- up to 1.19.3

* Sat Nov 20 2021 Jan Rękorajski <baggins@pld-linux.org> 1ab0622
- rebuild with separate debuginfo build-ids

* Sun Oct 10 2021 Jakub Bogusz <qboosh@pld-linux.org> 6f71211
- updated to 1.18.5; now uses meson+hotdoc

* Sun Mar 14 2021 Jakub Bogusz <qboosh@pld-linux.org> 90c6f96
- updated to 1.16.3

* Sun Mar 29 2020 Jakub Bogusz <qboosh@pld-linux.org> ef033ec
- updated to 1.16.2

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> 167ac1a
- drop obsolete and outdated manual inclusion of rpm macros

* Sat Jul 27 2019 Jakub Bogusz <qboosh@pld-linux.org> 1d5a97b
- updated to 1.16.0

* Sat Mar 09 2019 Jakub Bogusz <qboosh@pld-linux.org> 407dd45
- fixed -gl dependency; release 2

* Wed Mar 06 2019 Jakub Bogusz <qboosh@pld-linux.org> 0f3f147
- updated to 1.14.4

* Tue Dec 26 2017 Jan Rękorajski <baggins@pld-linux.org> 8717fc3
- release 2 (by relup.sh)

* Sat Dec 23 2017 Jakub Bogusz <qboosh@pld-linux.org> 3f8aa8a
- updated to 1.12.4

* Thu Jul 27 2017 Jakub Bogusz <qboosh@pld-linux.org> ff3757e
- updated to 1.12.2

